%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname snmp
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: A Ruby implementation of SNMP (the Simple Network Management Protocol)
Name: rubygem-%{gemname}
Version: 1.1.0
Release: 2%{?dist}
Group: Development/Languages
License: GPLv2 or Ruby
URL: http://snmplib.rubyforge.org
Source0: http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
Patch0: rakefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: rubygems
Requires: ruby(abi) = 1.8
BuildRequires: rubygems
BuildRequires: ruby-devel
# Following needed only for test/check
BuildRequires: rubygem(rake), rubygem(test-spec)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
A Ruby implementation of SNMP (the Simple Network Management Protocol).

%prep
%setup -q -c -T

mkdir -p .%{gemdir}
gem install -V \
  --local \
  --install-dir $(pwd)/%{gemdir} \
  --force --rdoc \
  %{SOURCE0}

pushd $(pwd)/%{gemdir}/gems/snmp-%{version}/
patch -p1 < %{PATCH0}
popd

# Adding proper name spacing to test directory, otherwise
# tests have issues between class Integer and SNMP::Integer
sed -i 's/Integer/SNMP::Integer/g' ./%{geminstdir}/test/*.rb

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/
# Rakefile requires the gemspec be in the gemdir for operation (and not have
# verion in the name)
cp -p %{buildroot}%{gemdir}/specifications/%{gemname}-%{version}.gemspec \
      %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/%{gemname}.gemspec


%clean
rm -rf %{buildroot}

%check
pushd %{buildroot}%{geminstdir}
  rake test
popd

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%{geminstdir}/lib
%{geminstdir}/data
%doc %{geminstdir}/Rakefile
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/examples
%doc %{geminstdir}/test
%doc %{geminstdir}/README.rdoc
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%{geminstdir}/snmp.gemspec


%changelog
* Sun Jan 08 2012 <stahnma@fedoraproject.org> - 1.1.0-2
- Ensure %%check can run properly

* Sun Jan 08 2012 <stahnma@fedoraproject.org> - 1.1.0-1
- Fix FTBFS bug  715639

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jun 10 2010 Michael Stahnke <stahnma@fedoraproject.org> - 1.0.3-1
- New version

* Mon May 24 2010 Michael Stahnke <stahnma@fedoraproject.org> - 1.0.2-1
- Fixes from review bug #587438
- Initial package
